Skip to main content
PATCH
/
guest-connections
/
{guest_org_id}
Patch guest connection
curl --request PATCH \
  --url https://api.mycreditapp.ai/v1-beta/guest-connections/{guest_org_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Requester-Organization-ID: <requester-organization-id>' \
  --header 'Target-Organization-ID: <target-organization-id>' \
  --data '
{
  "archived": true
}
'
{
  "host_organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "guest_organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "connected",
  "guest_name": "<string>",
  "guest_email": "jsmith@example.com",
  "owner_email": "jsmith@example.com",
  "archived": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "total_score": 87.5,
  "score_updated_at": "2025-12-12T10:30:00.123456",
  "archived_at": "2025-12-12T10:30:00.123456",
  "active_action_type": "analytics_request",
  "active_action_updated_at": "2025-12-12T10:30:00.123456",
  "parent_organization_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
  "parent_organization_name": "Example Parent Corp"
}

Authorizations

Authorization
string
header
required

Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.

Headers

Requester-Organization-ID
string<uuid>
required

The unique identifier of the organization making the request. This ID is used to authorize the requester within the system.

Example:

"054b4106-174b-46b0-97f8-86d8d7b6f0af"

Target-Organization-ID
string<uuid>
required

The unique identifier of the organization that is the target of the request. The Target-Organization-ID may match the Requester-Organization-ID if the requester accesses their own resources. If the Target-Organization-ID differs from the Requester-Organization-ID, the requester can access third-party resources if the requester has a connection with the target organization and is authorized to perform such actions.

Example:

"123e4567-e89b-12d3-a456-426614174000"

Path Parameters

guest_org_id
string<uuid>
required

Unique identifier of the guest organization

Example:

"c9b1f0d1-8d3f-4cfa-91b8-9f9b0c5e2a77"

Body

application/json
archived
boolean
required

Flag indicating if the guest connection is archived

Response

Successful Response

host_organization_id
string<uuid>
required

Unique identifier of the host organization

Example:

"d290f1ee-6c54-4b01-90e6-d701748f0851"

guest_organization_id
string<uuid>
required

Unique identifier of the guest organization

Example:

"c9b1f0d1-8d3f-4cfa-91b8-9f9b0c5e2a77"

status
enum<string>
required

Current status of the guest connection

Available options:
connected,
disconnected
guest_name
string
required

Full name of the guest organization

Required string length: 1 - 300
Example:

"Example Corp"

guest_email
string<email>
required

Email of the guest organization contact

Required string length: 1 - 100
Example:

"contact@example.com"

owner_email
string<email>
required

Email of the host organization owner responsible for the connection

Required string length: 1 - 100
Example:

"owner@host.com"

archived
boolean
required

Indicates whether the guest connection is archived

created_at
string<date-time>
required

Timestamp when the guest connection was created

Example:

"2025-12-12T10:30:00.123456"

updated_at
string<date-time>
required

Timestamp when the guest connection was last updated

Example:

"2025-12-12T10:30:00.123456"

total_score
number | null

Current total score of the guest organization if calculated

Required range: x >= 0
Example:

87.5

score_updated_at
string<date-time> | null

Timestamp when the total score was last updated

Example:

"2025-12-12T10:30:00.123456"

archived_at
string<date-time> | null

Timestamp when the connection was archived, if applicable

Example:

"2025-12-12T10:30:00.123456"

active_action_type
enum<string> | null

Type of the currently active action associated with the connection

Available options:
analytics_request
active_action_updated_at
string<date-time> | null

Timestamp when the active action was last updated

Example:

"2025-12-12T10:30:00.123456"

parent_organization_id
string<uuid> | null

ID of the parent organization, if applicable

Example:

"d290f1ee-6c54-4b01-90e6-d701748f0851"

parent_organization_name
string | null

Name of the parent organization, if applicable

Required string length: 1 - 300
Example:

"Example Parent Corp"